
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Lucene使用Sort方法对文档进行排序 / 憋错料</title>

    <meta name="description" content="Lucene使用Sort方法对文档进行排序 /* * 这段代码使用的是Lucene对于文档排序使用的sort方法 * 这里可以使用多个sort的构造方法,来自己定义,所想要实现的功能. * */ package score; import java.io.IOException; import org.apache.lucene.analysis.standard.StandardAnalyzer; import org.apache.lucene.document.Document; import org.apache.lucene.d">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Lucene使用Sort方法对文档进行排序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>/*</p>
<p>* 这段代码使用的是Lucene对于文档排序使用的sort方法</p>
<p>* 这里可以使用多个sort的构造方法，来自己定义，所想要实现的功能。</p>
<p>* */</p>
<p>package score;</p>
<p>import java.io.IOException;</p>
<p>import org.apache.lucene.analysis.standard.StandardAnalyzer;</p>
<p>import org.apache.lucene.document.Document;</p>
<p>import org.apache.lucene.document.Field;</p>
<p>import org.apache.lucene.index.IndexWriter;</p>
<p>import org.apache.lucene.index.Term;</p>
<p>import org.apache.lucene.search.Hits;</p>
<p>import org.apache.lucene.search.IndexSearcher;</p>
<p>import org.apache.lucene.search.Sort;</p>
<p>import org.apache.lucene.search.TermQuery;</p>
<p>public class SortScore {</p>
<p>public SortScore(String INDEX_STORE_PATH){</p>
<p>try{</p>
<p>IndexWriter writer = new IndexWriter(INDEX_STORE_PATH, new StandardAnalyzer(), true);</p>
<p>writer.setUseCompoundFile(false);</p>
<p>//首先定义文本</p>
<p>Document doc1 = new Document();</p>
<p>Field f1 = new Field(&quot;bookNumber&quot;, &quot;0000001&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>Field f2 = new Field(&quot;bookname&quot;, &quot;钢铁是怎样炼成的&quot;, Field.Store.YES, Field.Index.TOKENIZED);</p>
<p>Field f3 = new Field(&quot;publishdate&quot;, &quot;1970-01-01&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>doc1.add(f1);</p>
<p>doc1.add(f2);</p>
<p>doc1.add(f3);</p>
<p>Document doc2 = new Document();</p>
<p>f1 = new Field(&quot;bookNumber&quot;, &quot;0000002&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>f2 = new Field(&quot;bookname&quot;, &quot;钢铁战士&quot;, Field.Store.YES, Field.Index.TOKENIZED);</p>
<p>f3 = new Field(&quot;publishdate&quot;, &quot;1980-01-01&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>doc2.add(f1);</p>
<p>doc2.add(f2);</p>
<p>doc2.add(f3);</p>
<p>Document doc3 = new Document();</p>
<p>f1 = new Field(&quot;bookNumber&quot;, &quot;0000003&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>f2 = new Field(&quot;bookname&quot;, &quot;篱笆女人和狗&quot;, Field.Store.YES, Field.Index.TOKENIZED);</p>
<p>f3 = new Field(&quot;publishdate&quot;, &quot;1990-01-01&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>doc3.add(f1);</p>
<p>doc3.add(f2);</p>
<p>doc3.add(f3);</p>
<p>Document doc4 = new Document();</p>
<p>f1 = new Field(&quot;bookNumber&quot;, &quot;0000004&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>f2 = new Field(&quot;bookname&quot;, &quot;女人是水做的&quot;, Field.Store.YES, Field.Index.TOKENIZED);</p>
<p>f3 = new Field(&quot;publishdate&quot;, &quot;1999-01-01&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>doc4.add(f1);</p>
<p>doc4.add(f2);</p>
<p>doc4.add(f3);</p>
<p>Document doc5 = new Document();</p>
<p>f1 = new Field(&quot;bookNumber&quot;, &quot;0000005&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>f2 = new Field(&quot;bookname&quot;, &quot;英雄儿女&quot;, Field.Store.YES, Field.Index.TOKENIZED);</p>
<p>f3 = new Field(&quot;publishdate&quot;, &quot;2002-01-01&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>doc5.add(f1);</p>
<p>doc5.add(f2);</p>
<p>doc5.add(f3);</p>
<p>Document doc6 = new Document();</p>
<p>f1 = new Field(&quot;bookNumber&quot;, &quot;0000006&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>f2 = new Field(&quot;bookname&quot;, &quot;白毛女&quot;, Field.Store.YES, Field.Index.TOKENIZED);</p>
<p>f3 = new Field(&quot;publishdate&quot;, &quot;1985-01-01&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>doc6.add(f1);</p>
<p>doc6.add(f2);</p>
<p>doc6.add(f3);</p>
<p>Document doc7 = new Document();</p>
<p>f1 = new Field(&quot;bookNumber&quot;, &quot;0000007&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>f2 = new Field(&quot;bookname&quot;, &quot;我的兄弟和女儿&quot;, Field.Store.YES, Field.Index.TOKENIZED);</p>
<p>f3 = new Field(&quot;publishdate&quot;, &quot;1978-01-01&quot;, Field.Store.YES, Field.Index.UN_TOKENIZED);</p>
<p>doc7.add(f1);</p>
<p>doc7.add(f2);</p>
<p>doc7.add(f3);</p>
<p>//将书信息加入索引</p>
<p>writer.addDocument(doc1);</p>
<p>writer.addDocument(doc2);</p>
<p>writer.addDocument(doc3);</p>
<p>writer.addDocument(doc4);</p>
<p>writer.addDocument(doc5);</p>
<p>writer.addDocument(doc6);</p>
<p>writer.addDocument(doc7);</p>
<p>writer.close();</p>
<p>IndexSearcher searcher = new IndexSearcher(INDEX_STORE_PATH);</p>
<p>TermQuery q = new TermQuery(new Term(&quot;bookname&quot;, &quot;女&quot;));</p>
<p>//使用sort。RELEVANCE来制定排序的准则</p>
<p>Hits hits = searcher.search(q, Sort.RELEVANCE);</p>
<p>for(int i = 0; i &lt; hits.length(); i&#043;&#043;){</p>
<p>Document doc = hits.doc(i);</p>
<p>System.out.print(&quot;书名 ：&quot;);</p>
<p>System.out.println(doc.get(&quot;bookname&quot;));</p>
<p>System.out.print(&quot;得分 :&quot;);</p>
<p>System.out.println(hits.score(i));</p>
<p>System.out.print(&quot;内部ID :&quot;);</p>
<p>System.out.println(hits.id(i));</p>
<p>System.out.print(&quot;书号 : &quot;);</p>
<p>System.out.println(doc.get(&quot;bookNumber&quot;));</p>
<p>System.out.print(&quot;发行日期 : &quot;);</p>
<p>System.out.println(doc.get(&quot;publishdate&quot;));</p>
<p>System.out.println(&quot;===========================&quot;);</p>
<p>}</p>
<p>}catch(IOException e){</p>
<p>e.printStackTrace();</p>
<p>}</p>
<p>}</p>
<p>public static void main(String[] args) {</p>
<p>// TODO Auto-generated method stub</p>
<p>SortScore ss = new SortScore(&quot;E:\\Lucene项目\\索引文件&quot;);</p>
<p>}</p>
<p></strong></p>
<p><strong>}</strong></p>
<p><strong></p>
<p></strong></p>
<p><strong></p>
<p></strong></p>
<p><strong>结果显示排序后的截图：</strong></p>
<p><strong></p>
<p></strong></p>
<p><strong><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA0MDMwOTQ1Mzk5NDI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZFRBeE1qazJOVE0zTXc9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<p></strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 01:33:36 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Lucene使用Sort方法对文档进行排序的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4p58aPM.html" rel="bookmark">js 排序：sort&lpar;&rpar;方法、冒泡排序、二分法排序。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js中的排序,这里介绍三种,sort()方法.冒泡排序.二分法排序. 1.sort方法 写法:  数组.sort(); 返回排好序的数组,如果数组里是数字,则由小到大,如果是字符串,就按照第一个字符的字符编码大小排序. 写法2: 数组.sort(function(a,b){ return a-b }); 表示从大到小,(如果写 retrun b-a 则由大到小排序): 不详细解释了. 2.冒泡排序. 原理是,直接将原理可能不好懂,我们还是按照下面的方法去讲吧,这样容易懂些. //冒泡排序func			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kgGol0.html" rel="bookmark">Spring&plus;Swagger文档无法排序问题解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目中用到swagger用于自动生成文档,遇到了好多结合后的问题.而对于这个排序问题,在查看了后端Swagger原代码之后,发现视乎当前使用的swagger(不是springfox,应该不是官方的,网上好多教程是spring结合swagger,直接拿来用了)虽然有排序的Reader但是都没有实现文档的排序. 要实现排序可以从SwaggerUi入手.在: window.swaggerUi = new SwaggerUi({ ... }); 上面代码中,我们添加排序属性: window.swagge			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/NMyDDA4.html" rel="bookmark">关于微信二次分享，描述变链接的解决方法&lpar;一&rpar;----文档说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.cnblogs.com/joshua317/p/4761948.html 前言: 最近工作中遇到了使用微信二次分享的时候,标题被截短,描述也变成了链接,图片也没有,运营人员半夜还在嚷嚷,无奈只好硬着头皮去百度,去google,但是悲催的是没有详细的解决方法,最终只能自己去研究,还好最终搞出来了,决定分享一下,帮助需要的人.博文,分两篇,第一篇主要是微信的官方文档说明,第二篇主要是代码部分: 一.微信JS-SDK说明文档 1.概述 微信JS-SDK是微信公众平台面向网页开发者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q8bk23.html" rel="bookmark">使用Lucene对预处理后的文档进行创建索引（可执行）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				时间: 2015/3/18 杨鑫newlife 对于文档的预处理后.就要開始使用Lucene来处理相关的内容了. 这里使用的Lucene的过程例如以下: 首先要为处理对象机那里索引 二是构建查询对象 三是在索引中查找 这里的代码是处理创建索引的部分 代码: package ch2.lucenedemo.process; import java.io.BufferedReader; import java.io.File; import java.io.FileReader; import jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MElw6Q4.html" rel="bookmark">JAVADOC 常见使用方法 帮助文档</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道Java中有三种注释语句: 1.//用于单行注释. 2./*...*/用于多行注释,从/*开始,到*/结束,不能嵌套. 3./**...*/则是为支持jdk工具javadoc.exe而特有的注释语句. javadoc工具能从java源文件中读取第三种注释,并能识别注释中用@标识的一些特殊变量(见表),制作成Html格式的类说明文档. javadoc不但能对一个java源文件生成注释文档,而且能对目录和包生成交叉链接的html格式的类说明文档,十分方便. 注释中可以出现的关键字,以@开头:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rxYB9M.html" rel="bookmark">使用Lucene对预处理后的文档进行创建索引（可运行）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				时间: 2015/3/18 杨鑫newlife 对于文档的预处理后,就要开始使用Lucene来处理相关的内容了. 这里使用的Lucene的步骤如下: 首先要为处理对象机那里索引 二是构建查询对象 三是在索引中查找 这里的代码是处理创建索引的部分 代码: package ch2.lucenedemo.process; import java.io.BufferedReader; import java.io.File; import java.io.FileReader; import java.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0b51KkM.html" rel="bookmark">Word在试图打开文件时遇到错误请尝试下列方法  &ast;检查文档或驱动器的文件权限&ast;确保有足够的内存和磁盘空间，</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可能存在两种可能: 下载保存过程中,该文件损坏,导致无法打开: 文件安全性问题,可以打开Word 2013或Excel 2013,依次点击&quot;文件→选项→信任中心→信任中心设置→受保护的视图&quot;,取消受保护的视图标签下的三个复选框的勾选,或者通过简单的操作解除某个文件的锁定.右键点击您的Word文档并点击属性,在文件的属性窗口中,点击&quot;解除锁定.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38YKoW4.html" rel="bookmark">显示XML文档时排序数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先看XML文档: 也可拷贝下面代码另存为XMl文档: &lt;stepList&gt; &lt;steps&gt; &lt;step&gt; &lt;order&gt;1&lt;/order&gt; &lt;stepName&gt;基丰盛的&lt;/stepName&gt; &lt;/step&gt; &lt;step&gt; &lt;order&gt;3&lt;/order&gt; &lt;stepName&gt;个个个个&lt;/stepName&gt; &lt;/step&gt; &lt;step&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jrPBe0.html" rel="bookmark">C&num;连接各种数据库的方法（文档）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.C#连接连接Access程序代码: ------------------------------------------------------------------------------- using System.Data;using System.Data.OleDb; ...... string strConnection=&quot;Provider=Microsoft.Jet.OleDb.4.0;&quot;;[email protected]&quot;Data Source=C:\			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q5g2p3.html" rel="bookmark" class="title">map、hash&lowbar;map、unordered&lowbar;map 的思考</a>
					<div>
						#include &lt;map&gt; map&lt;string,int&gt; dict; map是基于红黑树实现的,可以快速查找一个元素是否存在,是关系型容器,能够表达两个数据之间的映射关系. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/My5xeaM.html" rel="bookmark" class="title">gvim打造IDE的记录，方法和步骤适用于vim</a>
					<div>
						http://blog.csdn.net/namecyf/article/details/7787479 http://www.cnblogs.com/CodeWorkerLiMing/archive ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q8Nzk3.html" rel="bookmark" class="title">堆栈和托管堆 c&num;</a>
					<div>
						堆栈和托管堆 c# 首先堆栈和堆(托管堆)都在进程的虚拟内存中.(在32位处理器上每个进程的虚拟内存为4GB) 堆栈stack 堆栈中存储值类型. 堆栈实际上是向下填充,即由高内存地址指向低内存地址填 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmDA2X4.html" rel="bookmark" class="title">edgeboxes proposal 和dpm　连接</a>
					<div>
						经过多天阅读文献和代码,我对edgeboxes 和 dpm的有了一定了解. 现在决定把它们简单地连接起来 也就是edgeboxes proposal 推荐窗口 然后 dpm去判断 但按照我理解的DPM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418xdP3.html" rel="bookmark" class="title">5&period;使用std的迭代器访问并修改图像</a>
					<div>
						void Test_ColorReduceByIterator() { Mat g_srcImage=imread(&quot;D:\\OpenCV Projects\\OpenCV_Test_Ima ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5ZY73.html" rel="bookmark" class="title">Java 中的main方法</a>
					<div>
						public static void main(String args[]) public:表示此方法可以被外部所调用. static:表示此方法可以由类名称直接调用. void:主方法是程序的起点, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDpmGM.html" rel="bookmark" class="title">UnityDemo&lpar;二）</a>
					<div>
						本来想自己写呢,我去发现Unity官网写的很详细了,这里直接发官网的部分, demo介绍:http://unity3d.com/cn/learn/tutorials/topics/virtual-re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5BwZ0.html" rel="bookmark" class="title">最简单的基于DirectShow的示例：视频播放器自定义版</a>
					<div>
						本文记录一个简单的基于DirectShow的自定义的视频播放器.这里所说的&quot;自定义播放器&quot;,实际上指的是自己在Filter Graph中手动逐个添加Filter,并且连接这些Fil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qq1KQ4.html" rel="bookmark" class="title">目录式巡检脚本 case版</a>
					<div>
						#! /bin/bash clear echo &quot;-----------------------menu----------------&quot; echo &quot;1)show ti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M655Xy4.html" rel="bookmark" class="title">LeetCode&lpar;10&rpar; － Regular Expression Matching</a>
					<div>
						非常challenge的一道题,考虑的情况特别多,当考虑到了之后,还要考虑怎么处理.题目要求是,给你两个字符串,判断正则字符串能不能表示待检字符串,一个是&quot;aabb&quot;,另外一个是正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7mVw4.html" rel="bookmark" class="title">ajax 原生态和jquery封装区别</a>
					<div>
						一.原生态 var xmlHttp = false; try{ if( xmlHttp &amp;&amp; xmlHttp.readyState != 0 ){ xmlHttp.abort(); } ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7PLJ4.html" rel="bookmark" class="title">汽车行业的互联网生意经：打、租、拼、卖&CenterDot;&CenterDot;&CenterDot;无所不有</a>
					<div>
						纵观所有消费市场,汽车产业链是最长的,从前向零售市场延伸到了后向服务市场,这是由产品特性而决定的,其他3C.家电.家具.家居.服装.图书.美妆.食品.珠宝.鞋帽.箱包.母婴等零售市场产业链和餐饮.娱乐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NjBmw4.html" rel="bookmark" class="title">Find Missing Term in Arithmetic Progression 等差数列缺失项</a>
					<div>
						查找等差数列中的缺失项. e.g.Input: arr[] = {2, 4, 8, 10, 12, 14} Output: 6 Input: arr[] = {1, 6, 11, 16, 21, 31 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waAj8M.html" rel="bookmark" class="title">thinkphp查询缓存</a>
					<div>
						S()函数的使用:  ThinkPHP把各种缓存方式都抽象成统一的缓存类来调用,而且ThinkPHP把所有的缓存机制统一成一个S方法来进行操作,所以在使用  不同的缓存方式的时候并不需要关注具体的缓存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzojr4.html" rel="bookmark" class="title">利用Tree命令生成磁盘文件列表</a>
					<div>
						命令原型:D:/&gt;tree /? 以图形显示驱动器或路径的文件夹结构.TREE [drive:][path] [/F] [/A]/F 显示每个文件夹中文件的名称./A 使用 ASCII 字符,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v1j760.html" rel="bookmark" class="title">【Linux】Linux字体颜色</a>
					<div>
						转自:http://onlyzq.blog.51cto.com/1228/546459 echo显示带颜色,需要使用参数-e格式如下:echo -e &quot;\033[字背景颜色;文字颜色m字符串 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klNWj3.html" rel="bookmark" class="title">老司机找bug的心路历程</a>
					<div>
						一.码畜:靠编译器帮自己查语法错误 消灭笔误:编写适合程序员的键盘练习 if (常量==变量或表达式) 使用goto接力超长的if,switch 连续的if还是if elseif 多个条件的组合:精心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeOVB0.html" rel="bookmark" class="title">动态规划 BZOJ1801 &lbrack;Ahoi2009&rsqb;chess 中国象棋</a>
					<div>
						1801: [Ahoi2009]chess 中国象棋 Time Limit: 10 Sec  Memory Limit: 64 MBSubmit: 1861  Solved: 1068[Submit] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6XaN53.html" rel="bookmark" class="title">Linux学习笔记 - 第二章 Linux操作系统</a>
					<div>
						1.硬件架构及系统组成 |--硬件架构 可用于运行linux系统的硬件架构 包括:x86 , x64(amd64) , m6800 , m68k , Arm , ultrasparc , power  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgQlBO3.html" rel="bookmark" class="title">shell学习三十天----break&comma;continue&comma;shift&comma;getopts</a>
					<div>
						break和continue 这两个命令分别用来退出循环,或跳到循环体的其他地方. 使用while与break,等待用户登录 bash代码: printf &quot;Enter username:  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
